=== debian/changelog ===
gdm3 (46.2-1ubuntu1~24.04.4) noble; urgency=medium

  * Fix fallback session with auto-login (LP: #2129777)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 04 Nov 2025 11:29:29 +0100

gdm3 (46.2-1ubuntu1~24.04.3) noble; urgency=medium

  [ Tony Hsiao ]
  * Add hardware matching rule for preferring wayland (LP: #2124220)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 25 Sep 2025 17:14:09 +0800

gdm3 (46.2-1ubuntu1~24.04.2) noble; urgency=medium

  [ Zhaoxuan Zhai ]
  * Add retry_preferred_display_server_before_fallback.patch to fix
    the problem that the existing retry strategy cannot retry the preferred
    session when the preferred session accidentally crashes during startup
    (LP: #2120413)

  [ Daniel van Vugt ]
  * Add local-display-factory-Match-simpledrm-in-a-substring-inst.patch to
    ensure the login screen does not start before the real DRM kernel driver
    is loaded. (LP: #2115451)

  [ Tony Hsiao ]
  * Prefer Wayland if a specific environment variable is set (LP: #2124220)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 18 Sep 2025 17:10:23 +0800

gdm3 (46.2-1ubuntu1~24.04.1) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * No-change backport of stable release 46.2 (LP: #2090876)

  [ Jeremy Bícha ]
  * Branch for noble

  [ Alessandro Astone ]
  * Default nvidia hybrid laptops to Xorg (LP: #2080498):
    - Drop Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch
      The hunks that are still relevant have been split into their own patches.
    - Add Prefer-Xorg-for-all-Nvidia-versions.patch
      This diff comes directly from the dropped patch.
    - Add Drop-Nvidia-power-management-suspend-checks.patch
      This diff comes directly from the dropped patch, and is still necessary
      to keep Wayland as an option on nvidia >= 470 (both desktops and laptops).
    - Add Drop-special-handling-of-nvidia-hybrid-laptops.patch
      Align nvidia hybrid laptops with nvidia desktops: that means
      disabling Wayland on nvidia < 470 and keeping it opt-in on nvidia >= 470.
      Upstream also did this with GNOME 47, with the difference that there the
      desktop defaults are different.

  [ Nathan Pratta Teodosio ]
  * Rewrite xresources_is_a_dir.patch.
    To fix failure to load files in /etc/X11/Xresources (in case the latter is
    a directory instead of a regular file). (LP: #1955850)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 02 Dec 2024 23:47:57 +0100

gdm3 (46.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian, containing new upstream release. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Ensure Nvidia 5xx drivers always get Wayland as the default unless
        there's a stronger reason why it won't work (like modeset has been
        disabled on the kernel command line)
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    * Reverted debian patch to udev rules for nvidia S0ix suspend support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 08:15:29 -0400

gdm3 (46.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop 2 patches applied in new release

  [ Sebastian Andrzej Siewior ]
  * Adapt autopkgtest for openssl3.2 (Closes: #1061458)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Jul 2024 07:45:23 -0400

gdm3 (46.0-2ubuntu2) oracular; urgency=medium


