=== debian/control ===
Source: gdm3
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: check (>= 0.9.4),
               dconf-cli (>= 0.19.90),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               docbook-xml,
               gettext (>= 0.19.8),
               gjs [amd64 armel arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
               gnome-pkg-tools (>= 0.16.3),
               gnome-settings-daemon-dev (>= 3.24.0),
               gobject-introspection (>= 0.10.7-1~),
               intltool,
               iso-codes,
               itstool,
               libaccountsservice-dev (>= 0.6.35),
               libaudit-dev [linux-any],
               libcanberra-gtk3-dev (>= 0.4),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.44.0),
               libgtk-3-dev (>= 2.91.1),
               libgudev-1.0-dev (>= 232),
               libjson-glib-dev,
               libkeyutils-dev [linux-any],
               libpam0g-dev,
               libplymouth-dev [linux-any],
               libselinux1-dev [linux-any],
               libsystemd-dev [linux-any],
               libwrap0-dev,
               libx11-dev,
               libxau-dev,
               libxcb1-dev,
               libxdmcp-dev,
               meson (>= 0.57),
               pkgconf,
               systemd-dev,
Standards-Version: 4.6.2
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/noble
Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/noble
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Projects/GDM/

Package: gdm3
Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64
Depends: accountsservice (>= 0.6.35),
         adduser,
         bash (>= 4.3),
         dconf-cli (>= 0.20),
         dconf-gsettings-backend (>= 0.20),
         dbus-bin | systemd-sysv,
         dbus-daemon,
         default-dbus-system-bus | dbus-system-bus,
         default-logind [linux-any] | logind [linux-any],
         gir1.2-gdm-1.0 (= ${binary:Version}),
         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         gnome-session-bin (>= 3.37.0),
         gnome-session-common (>= 3.37.0-2~),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.90),
         gsettings-desktop-schemas,
         libgdm1 (= ${binary:Version}),
         libglib2.0-bin (>= 2.35.0),
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         librsvg2-common,
         polkitd [linux-any],
         procps,
         ucf,
         x11-common (>= 1:7.6+11),
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: at-spi2-core,
            ubuntu-session | gnome-session | x-session-manager,
            x11-xkb-utils,
            xserver-xephyr,
            xserver-xorg,
            zenity
Suggests: orca,
          libpam-fprintd (>= 0.8.0-2),
          libpam-sss (>= 2.3.0-1),
          libpam-pkcs11,
          libpam-gnome-keyring
Provides: x-display-manager
Description: GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.

Package: libgdm1
Section: libs
Architecture: linux-any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Display Manager (shared library)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains the shared library required by gnome-shell.

Package: libgdm-dev
Section: libdevel
Architecture: linux-any
Depends: gir1.2-gdm-1.0 (= ${binary:Version}),
         libgdm1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Display Manager (development files)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains header and development files.

Package: gir1.2-gdm-1.0
Section: introspection
Architecture: linux-any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gir1.2-gdm3
Replaces: gir1.2-gdm3
Description: GObject introspection data for the GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains introspection data for the GNOME Display Manager.
