=== debian/tests/control ===
Test-Command: env
  OFFLINE_MODE=1
  GDM_USER=gdm
  bash debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh
Features: test-name=sssd-gdm-smartcard-auth-test
Classes: desktop
Depends: adduser,
         bash,
         gdm3,
         gnutls-bin,
         libpam-sss,
         openssl,
         pamtester,
         passwd,
         softhsm2,
         sssd,
         sudo,
         util-linux
Restrictions: breaks-testbed,
              isolation-container,
              needs-root,
              allow-stderr
