## gdm3 47.0

=== debian/changelog ===
gdm3 (47.0-1ubuntu2.24.10.1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian: Prepare for ubuntu/oracular branching

  [ Nathan Pratta Teodosio ]
  * Rewrite xresources_is_a_dir.patch.
    To fix failure to load files in /etc/X11/Xresources (in case the latter is
    a directory instead of a regular file). (LP: #1955850)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 03 Dec 2024 00:03:20 +0100

gdm3 (47.0-1ubuntu2) oracular; urgency=medium

  [ Daniel van Vugt ]
  * Clean up Nvidia/Wayland/Xorg decision making.
    1. Drop `Revert-data-Revert-part-of-wayland-hybrid-graphics-change.patch`
       because its only purpose was to disable Wayland on hybrid machines,
       which we don't want.
    2. Drop `Revert-data-Remove-nvidia-driver-version-check.patch` because it
       introduced three bugs:
       - `GOTO="gdm_prefer_xorg"` which no longer exists (LP: #2081635)
       - `For nvidia drivers versions 470-495, prefer Xorg by default` is
         wrong because Wayland support for 470 was reinstated in Mutter 47.c
         resolving https://gitlab.gnome.org/GNOME/mutter/-/issues/3196
       - `"[5-9][1-9][0-9].*"` will eventually fail to recognise 60x and 70x
         as higher than 510.
       and does nothing useful beyond that.
    3. Fix `Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch`
       conflicts arising from dropping the other patches.
    4. Rename `Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch`
       to `Drop-Nvidia-power-management-suspend-checks.patch` and update its
       description with a more accurate justification for the patch still
       existing.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 26 Sep 2024 00:27:09 +0200

gdm3 (47.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian, containing new upstream release. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control.in:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
      - Use needs-root instead of needs-sudo (to remove when ubuntu autopkgtest
        will be updated to include such feature)
    + debian/tests/sssd-gdm-smartcard-pam-auth-tester-env.sh:
      - Added to use needs-root autopkgtest instead of needs-sudo
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - don't blacklist nvidia for wayland
    + add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - wait for the first valid gdm device on pre-start
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Revert-data-Disable-GDM-on-hybrid-graphics-laptops-with-v.patch:
      - Ensure Nvidia 5xx drivers always get Wayland as the default unless
        there's a stronger reason why it won't work (like modeset has been
        disabled on the kernel command line)
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
    * Reverted debian patch to udev rules for nvidia S0ix suspend support
  * debian/patches: Revert a further upstream change to gdm udev rules
  * debian/patches: Update git indexes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 19:05:58 +0200

gdm3 (47.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release candidate 47
  * d/rules: Explicitly enable X11 support.
    If upstream disables this in some future release, we'll want it to be
    an intentional decision whether we follow that.
  * d/control: Drop dependency on libcanberra-gtk, no longer checked
  * d/control: Don't build gdm3 binary package on armel.
    gdm3 requires GNOME Shell, which is unlikely to be practically useful
    on the older ARM machines that can't run armhf or arm64. GNOME Shell
    also requires gjs, which is likely to be removed from armel.
    (Helps: #1080521)
  * Standards-Version: 4.7.0 (no changes required)
  * Update Lintian overrides
  * d/control: Add ${gir:Provides} to libgdm-dev

  [ Marco Trevisan (Treviño) ]
  * New upstream release 47.0
  * debian: Drop gdm-screenshot references, as it has been removed upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 17:32:15 +0200
