=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-sequence-gnome,
                docbook-xml,
                gettext (>= 0.19.8),
-               gjs [amd64 armel arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
+               gjs [amd64 arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64],
                gnome-pkg-tools (>= 0.16.3),
                gnome-settings-daemon-dev (>= 3.24.0),
                gobject-introspection (>= 0.10.7-1~),
@@ -21,7 +21,6 @@
                itstool,
                libaccountsservice-dev (>= 0.6.35),
                libaudit-dev [linux-any],
-               libcanberra-gtk3-dev (>= 0.4),
                libgirepository1.0-dev (>= 0.9.12),
                libglib2.0-dev (>= 2.44.0),
                libgtk-3-dev (>= 2.91.1),
@@ -40,16 +39,16 @@
                meson (>= 0.57),
                pkgconf,
                systemd-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/noble
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/noble
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/oracular
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/oracular
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
 Package: gdm3
-Architecture: amd64 arm64 armel armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64
+Architecture: amd64 arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64
 Depends: accountsservice (>= 0.6.35),
          adduser,
          bash (>= 4.3),
@@ -125,6 +124,7 @@
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ${gir:Provides}
 Description: GNOME Display Manager (development files)
  GDM provides the equivalent of a "login:" prompt for X displays: it
  asks for a login and starts graphical sessions.
