## gdm3 48~beta

=== debian/changelog ===
gdm3 (48~beta-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Drop-Nvidia-power-management-suspend-checks.patch:
      - Ensure Nvidia drivers always get Wayland as the default, despite
        known issues with suspend/resume affecting Wayland more than Xorg.
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 10:56:26 -0500

gdm3 (48~beta-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove gsettings schema patch: applied in new release

  [ Marco Trevisan (Treviño) ]
  * debian/tests/sssd-gdm: Use random PIN values by default
  * debian/tests/sssd-gdm: Sync with upstream cleanups
  * d/tests/sssd-gdm-smartcard-pam-auth-tester.sh: Ensure auth fails
    with invalid cert
  * debian/tests/sssd-softhism2-certificates-tests.sh: Remove unused
    v3_ca settings

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 10:47:28 -0500

gdm3 (47.0-4) unstable; urgency=medium

  * Cherry-pick gsettings schema addition required by GNOME Shell 48 Beta

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 08:11:50 -0500

gdm3 (47.0-3ubuntu2) plucky; urgency=medium

  * d/p/u/xresources_is_a_dir.patch rewritten to fix failure to load files in
    /etc/X11/Xresources (in case the latter is a directory instead of a
    regular file). LP: #1955850.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 02 Dec 2024 15:10:47 +0100

gdm3 (47.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + readme.debian: update for correct paths in ubuntu
    + control:
      - don't recommend desktop-base
      - depend on bash for config_error_dialog.patch
      - update vcs field
    + rules:
      - don't override default user/group
      - -dgdm-xsession=true to install upstream xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, readme.debian, gdm3.8.pod:
      use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + debian/tests/control:
      - Use gdm user name
    + gdm3.*.pam: make pam_env read ~/.pam_environment, as we use in g-c-c
      settings
    + gdm3.install:
      - don't install debian/xsession
    + add run_xsession.d.patch
    + add xresources_is_a_dir.patch
      - fix loading from /etc/x11/xresources/*
    + add nvidia_prime.patch:
      - add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + add revert_override_lang_with_accountservices.patch:
      - on ubuntu accountservices only stores the language and not the
        full locale as needed by lang.
    + add dont_set_language_env.patch:
      - don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + add config_error_dialog.patch:
      - show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + add prefer_ubuntu_session_fallback.patch:
      - Prefer ubuntu session as fallback instead of GNOME
    + add XSession-Use-x-terminal-emulator-as-fallback-instead-of-x.patch:
      - Use x-terminal-emulator as fallback instead of xterm
    + add Drop-Nvidia-power-management-suspend-checks.patch:
      - Ensure Nvidia drivers always get Wayland as the default, despite
        known issues with suspend/resume affecting Wayland more than Xorg.
    + add debian/default.pa
      - disable bluetooth audio devices in pulseaudio from gdm3.
    + debian/gdm3.install
      - added details of the default.pa file
    + debian/gdm3.postinst
      - added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: don't set debian settings in the
      greeter's dconf db
  * Ubuntu can now use needs-sudo in autopkgtest like Debian.


