=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gdm3
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: check (>= 0.9.4),
                dconf-cli (>= 0.19.90),
                debhelper-compat (= 13),
@@ -40,10 +39,8 @@
                pkgconf,
                systemd-dev,
 Standards-Version: 4.7.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
-Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git -b ubuntu/oracular
-Vcs-Browser: https://salsa.debian.org/gnome-team/gdm/tree/ubuntu/oracular
+Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
+Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/GDM/
 
@@ -51,7 +48,6 @@
 Architecture: amd64 arm64 armhf i386 loong64 mips64el mipsel ppc64el s390x riscv64
 Depends: accountsservice (>= 0.6.35),
          adduser,
-         bash (>= 4.3),
          dconf-cli (>= 0.20),
          dconf-gsettings-backend (>= 0.20),
          dbus-bin | systemd-sysv,
@@ -59,7 +55,7 @@
          default-dbus-system-bus | dbus-system-bus,
          default-logind [linux-any] | logind [linux-any],
          gir1.2-gdm-1.0 (= ${binary:Version}),
-         ubuntu-session | gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
+         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
          gnome-session-bin (>= 3.37.0),
          gnome-session-common (>= 3.37.0-2~),
          gnome-settings-daemon (>= 3.37.0),
@@ -78,7 +74,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: at-spi2-core,
-            ubuntu-session | gnome-session | x-session-manager,
+            desktop-base (>= 10.0.0),
+            gnome-session | x-session-manager,
             x11-xkb-utils,
             xserver-xephyr,
             xserver-xorg,
