## gdm3 49~alpha.0

=== meson_options.txt ===
--- 
+++ 
@@ -38,6 +38,6 @@
 option('user-display-server', type: 'boolean', value: true, description: 'Enable running X server as user.')
 option('wayland-support', type: 'boolean', value: true, description: 'Enable support for wayland sessions.')
 option('working-dir', type: 'string', value: '', description: 'Working directory.')
-option('x11-support', type: 'boolean', value: true, description: 'Enable support for x11 sessions.')
+option('x11-support', type: 'boolean', value: false, description: 'Enable support for x11 sessions.')
 option('xauth-dir', type: 'string', value: '', description: 'XAuth cookie directory.')
 option('xdmcp', type: 'feature', value: 'auto', description: 'Add XDMCP (remote login) support.')
